Documentation
¶
Index ¶
- Constants
- type DeleteRule
- type DeleteRuleHandler
- type DeleteRuleHandlerFunc
- type DeleteRuleInternalServerError
- type DeleteRuleNotFound
- type DeleteRuleOK
- type DeleteRuleParams
- type DeleteRuleURL
- func (o *DeleteRuleURL) Build() (*url.URL, error)
- func (o *DeleteRuleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *DeleteRuleURL) Must(u *url.URL, err error) *url.URL
- func (o *DeleteRuleURL) SetBasePath(bp string)
- func (o *DeleteRuleURL) String() string
- func (o *DeleteRuleURL) StringFull(scheme, host string) string
- func (o *DeleteRuleURL) WithBasePath(bp string) *DeleteRuleURL
- type DeleteRuleUnauthorized
- type GetAllRules
- type GetAllRulesHandler
- type GetAllRulesHandlerFunc
- type GetAllRulesInternalServerError
- func (o *GetAllRulesInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *GetAllRulesInternalServerError) WithPayload(payload *models.ErrorMessage) *GetAllRulesInternalServerError
- func (o *GetAllRulesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetAllRulesOK
- type GetAllRulesParams
- type GetAllRulesURL
- func (o *GetAllRulesURL) Build() (*url.URL, error)
- func (o *GetAllRulesURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetAllRulesURL) Must(u *url.URL, err error) *url.URL
- func (o *GetAllRulesURL) SetBasePath(bp string)
- func (o *GetAllRulesURL) String() string
- func (o *GetAllRulesURL) StringFull(scheme, host string) string
- func (o *GetAllRulesURL) WithBasePath(bp string) *GetAllRulesURL
- type GetAllRulesUnauthorized
- type GetRuleByName
- type GetRuleByNameHandler
- type GetRuleByNameHandlerFunc
- type GetRuleByNameInternalServerError
- func (o *GetRuleByNameInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *GetRuleByNameInternalServerError) WithPayload(payload *models.ErrorMessage) *GetRuleByNameInternalServerError
- func (o *GetRuleByNameInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetRuleByNameNotFound
- type GetRuleByNameOK
- type GetRuleByNameParams
- type GetRuleByNameURL
- func (o *GetRuleByNameURL) Build() (*url.URL, error)
- func (o *GetRuleByNameURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetRuleByNameURL) Must(u *url.URL, err error) *url.URL
- func (o *GetRuleByNameURL) SetBasePath(bp string)
- func (o *GetRuleByNameURL) String() string
- func (o *GetRuleByNameURL) StringFull(scheme, host string) string
- func (o *GetRuleByNameURL) WithBasePath(bp string) *GetRuleByNameURL
- type GetRuleByNameUnauthorized
- type SetState
- type SetStateAccepted
- type SetStateBadRequest
- type SetStateHandler
- type SetStateHandlerFunc
- type SetStateInternalServerError
- type SetStateNotFound
- type SetStateOK
- type SetStateParams
- type SetStateURL
- func (o *SetStateURL) Build() (*url.URL, error)
- func (o *SetStateURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *SetStateURL) Must(u *url.URL, err error) *url.URL
- func (o *SetStateURL) SetBasePath(bp string)
- func (o *SetStateURL) String() string
- func (o *SetStateURL) StringFull(scheme, host string) string
- func (o *SetStateURL) WithBasePath(bp string) *SetStateURL
- type SetStateUnauthorized
- type UpdateRule
- type UpdateRuleBadRequest
- type UpdateRuleConflict
- type UpdateRuleHandler
- type UpdateRuleHandlerFunc
- type UpdateRuleInternalServerError
- type UpdateRuleNotFound
- type UpdateRuleOK
- type UpdateRuleParams
- type UpdateRuleRequestEntityTooLarge
- func (o *UpdateRuleRequestEntityTooLarge) SetPayload(payload *models.ErrorMessage)
- func (o *UpdateRuleRequestEntityTooLarge) WithPayload(payload *models.ErrorMessage) *UpdateRuleRequestEntityTooLarge
- func (o *UpdateRuleRequestEntityTooLarge) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type UpdateRuleURL
- func (o *UpdateRuleURL) Build() (*url.URL, error)
- func (o *UpdateRuleURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *UpdateRuleURL) Must(u *url.URL, err error) *url.URL
- func (o *UpdateRuleURL) SetBasePath(bp string)
- func (o *UpdateRuleURL) String() string
- func (o *UpdateRuleURL) StringFull(scheme, host string) string
- func (o *UpdateRuleURL) WithBasePath(bp string) *UpdateRuleURL
- type UpdateRuleUnauthorized
Constants ¶
const DeleteRuleInternalServerErrorCode int = 500
DeleteRuleInternalServerErrorCode is the HTTP code returned for type DeleteRuleInternalServerError
const DeleteRuleNotFoundCode int = 404
DeleteRuleNotFoundCode is the HTTP code returned for type DeleteRuleNotFound
const DeleteRuleOKCode int = 200
DeleteRuleOKCode is the HTTP code returned for type DeleteRuleOK
DeleteRuleUnauthorizedCode is the HTTP code returned for type DeleteRuleUnauthorized
const GetAllRulesInternalServerErrorCode int = 500
GetAllRulesInternalServerErrorCode is the HTTP code returned for type GetAllRulesInternalServerError
const GetAllRulesOKCode int = 200
GetAllRulesOKCode is the HTTP code returned for type GetAllRulesOK
GetAllRulesUnauthorizedCode is the HTTP code returned for type GetAllRulesUnauthorized
const GetRuleByNameInternalServerErrorCode int = 500
GetRuleByNameInternalServerErrorCode is the HTTP code returned for type GetRuleByNameInternalServerError
const GetRuleByNameNotFoundCode int = 404
GetRuleByNameNotFoundCode is the HTTP code returned for type GetRuleByNameNotFound
const GetRuleByNameOKCode int = 200
GetRuleByNameOKCode is the HTTP code returned for type GetRuleByNameOK
GetRuleByNameUnauthorizedCode is the HTTP code returned for type GetRuleByNameUnauthorized
const SetStateAcceptedCode int = 202
SetStateAcceptedCode is the HTTP code returned for type SetStateAccepted
const SetStateBadRequestCode int = 400
SetStateBadRequestCode is the HTTP code returned for type SetStateBadRequest
const SetStateInternalServerErrorCode int = 500
SetStateInternalServerErrorCode is the HTTP code returned for type SetStateInternalServerError
const SetStateNotFoundCode int = 404
SetStateNotFoundCode is the HTTP code returned for type SetStateNotFound
const SetStateOKCode int = 200
SetStateOKCode is the HTTP code returned for type SetStateOK
SetStateUnauthorizedCode is the HTTP code returned for type SetStateUnauthorized
const UpdateRuleBadRequestCode int = 400
UpdateRuleBadRequestCode is the HTTP code returned for type UpdateRuleBadRequest
const UpdateRuleConflictCode int = 409
UpdateRuleConflictCode is the HTTP code returned for type UpdateRuleConflict
const UpdateRuleInternalServerErrorCode int = 500
UpdateRuleInternalServerErrorCode is the HTTP code returned for type UpdateRuleInternalServerError
const UpdateRuleNotFoundCode int = 404
UpdateRuleNotFoundCode is the HTTP code returned for type UpdateRuleNotFound
const UpdateRuleOKCode int = 200
UpdateRuleOKCode is the HTTP code returned for type UpdateRuleOK
const UpdateRuleRequestEntityTooLargeCode int = 413
UpdateRuleRequestEntityTooLargeCode is the HTTP code returned for type UpdateRuleRequestEntityTooLarge
UpdateRuleUnauthorizedCode is the HTTP code returned for type UpdateRuleUnauthorized
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type DeleteRule ¶
type DeleteRule struct {
Context *middleware.Context
Handler DeleteRuleHandler
}
DeleteRule swagger:route DELETE /namespaces/{namespace}/rules/{ruleName} Rules deleteRule
Delete a rule ¶
Delete a rule
func NewDeleteRule ¶
func NewDeleteRule(ctx *middleware.Context, handler DeleteRuleHandler) *DeleteRule
NewDeleteRule creates a new http.Handler for the delete rule operation
func (*DeleteRule) ServeHTTP ¶
func (o *DeleteRule) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type DeleteRuleHandler ¶
type DeleteRuleHandler interface {
Handle(DeleteRuleParams, *models.Principal) middleware.Responder
}
DeleteRuleHandler interface for that can handle valid delete rule params
type DeleteRuleHandlerFunc ¶
type DeleteRuleHandlerFunc func(DeleteRuleParams, *models.Principal) middleware.Responder
DeleteRuleHandlerFunc turns a function with the right signature into a delete rule handler
func (DeleteRuleHandlerFunc) Handle ¶
func (fn DeleteRuleHandlerFunc) Handle(params DeleteRuleParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type DeleteRuleInternalServerError ¶
type DeleteRuleInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeleteRuleInternalServerError Server error
swagger:response deleteRuleInternalServerError
func NewDeleteRuleInternalServerError ¶
func NewDeleteRuleInternalServerError() *DeleteRuleInternalServerError
NewDeleteRuleInternalServerError creates DeleteRuleInternalServerError with default headers values
func (*DeleteRuleInternalServerError) SetPayload ¶
func (o *DeleteRuleInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete rule internal server error response
func (*DeleteRuleInternalServerError) WithPayload ¶
func (o *DeleteRuleInternalServerError) WithPayload(payload *models.ErrorMessage) *DeleteRuleInternalServerError
WithPayload adds the payload to the delete rule internal server error response
func (*DeleteRuleInternalServerError) WriteResponse ¶
func (o *DeleteRuleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteRuleNotFound ¶
type DeleteRuleNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeleteRuleNotFound Item not found
swagger:response deleteRuleNotFound
func NewDeleteRuleNotFound ¶
func NewDeleteRuleNotFound() *DeleteRuleNotFound
NewDeleteRuleNotFound creates DeleteRuleNotFound with default headers values
func (*DeleteRuleNotFound) SetPayload ¶
func (o *DeleteRuleNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete rule not found response
func (*DeleteRuleNotFound) WithPayload ¶
func (o *DeleteRuleNotFound) WithPayload(payload *models.ErrorMessage) *DeleteRuleNotFound
WithPayload adds the payload to the delete rule not found response
func (*DeleteRuleNotFound) WriteResponse ¶
func (o *DeleteRuleNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteRuleOK ¶
type DeleteRuleOK struct {
}
DeleteRuleOK Deleted Item
swagger:response deleteRuleOK
func NewDeleteRuleOK ¶
func NewDeleteRuleOK() *DeleteRuleOK
NewDeleteRuleOK creates DeleteRuleOK with default headers values
func (*DeleteRuleOK) WriteResponse ¶
func (o *DeleteRuleOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeleteRuleParams ¶
type DeleteRuleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Name of rule to delete
Required: true
In: path
*/
RuleName string
}
DeleteRuleParams contains all the bound params for the delete rule operation typically these are obtained from a http.Request
swagger:parameters deleteRule
func NewDeleteRuleParams ¶
func NewDeleteRuleParams() DeleteRuleParams
NewDeleteRuleParams creates a new DeleteRuleParams object no default values defined in spec.
func (*DeleteRuleParams) BindRequest ¶
func (o *DeleteRuleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewDeleteRuleParams() beforehand.
type DeleteRuleURL ¶
type DeleteRuleURL struct {
Namespace string
RuleName string
// contains filtered or unexported fields
}
DeleteRuleURL generates an URL for the delete rule operation
func (*DeleteRuleURL) Build ¶
func (o *DeleteRuleURL) Build() (*url.URL, error)
Build a url path and query string
func (*DeleteRuleURL) BuildFull ¶
func (o *DeleteRuleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*DeleteRuleURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*DeleteRuleURL) SetBasePath ¶
func (o *DeleteRuleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*DeleteRuleURL) String ¶
func (o *DeleteRuleURL) String() string
String returns the string representation of the path with query string
func (*DeleteRuleURL) StringFull ¶
func (o *DeleteRuleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*DeleteRuleURL) WithBasePath ¶
func (o *DeleteRuleURL) WithBasePath(bp string) *DeleteRuleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type DeleteRuleUnauthorized ¶
type DeleteRuleUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeleteRuleUnauthorized Unauthorized request
swagger:response deleteRuleUnauthorized
func NewDeleteRuleUnauthorized ¶
func NewDeleteRuleUnauthorized() *DeleteRuleUnauthorized
NewDeleteRuleUnauthorized creates DeleteRuleUnauthorized with default headers values
func (*DeleteRuleUnauthorized) SetPayload ¶
func (o *DeleteRuleUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete rule unauthorized response
func (*DeleteRuleUnauthorized) WithPayload ¶
func (o *DeleteRuleUnauthorized) WithPayload(payload *models.ErrorMessage) *DeleteRuleUnauthorized
WithPayload adds the payload to the delete rule unauthorized response
func (*DeleteRuleUnauthorized) WriteResponse ¶
func (o *DeleteRuleUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllRules ¶
type GetAllRules struct {
Context *middleware.Context
Handler GetAllRulesHandler
}
GetAllRules swagger:route GET /namespaces/{namespace}/rules Rules getAllRules
Get all rules ¶
Get all rules
func NewGetAllRules ¶
func NewGetAllRules(ctx *middleware.Context, handler GetAllRulesHandler) *GetAllRules
NewGetAllRules creates a new http.Handler for the get all rules operation
func (*GetAllRules) ServeHTTP ¶
func (o *GetAllRules) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetAllRulesHandler ¶
type GetAllRulesHandler interface {
Handle(GetAllRulesParams, *models.Principal) middleware.Responder
}
GetAllRulesHandler interface for that can handle valid get all rules params
type GetAllRulesHandlerFunc ¶
type GetAllRulesHandlerFunc func(GetAllRulesParams, *models.Principal) middleware.Responder
GetAllRulesHandlerFunc turns a function with the right signature into a get all rules handler
func (GetAllRulesHandlerFunc) Handle ¶
func (fn GetAllRulesHandlerFunc) Handle(params GetAllRulesParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type GetAllRulesInternalServerError ¶
type GetAllRulesInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetAllRulesInternalServerError Server error
swagger:response getAllRulesInternalServerError
func NewGetAllRulesInternalServerError ¶
func NewGetAllRulesInternalServerError() *GetAllRulesInternalServerError
NewGetAllRulesInternalServerError creates GetAllRulesInternalServerError with default headers values
func (*GetAllRulesInternalServerError) SetPayload ¶
func (o *GetAllRulesInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get all rules internal server error response
func (*GetAllRulesInternalServerError) WithPayload ¶
func (o *GetAllRulesInternalServerError) WithPayload(payload *models.ErrorMessage) *GetAllRulesInternalServerError
WithPayload adds the payload to the get all rules internal server error response
func (*GetAllRulesInternalServerError) WriteResponse ¶
func (o *GetAllRulesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllRulesOK ¶
GetAllRulesOK Rules response
swagger:response getAllRulesOK
func NewGetAllRulesOK ¶
func NewGetAllRulesOK() *GetAllRulesOK
NewGetAllRulesOK creates GetAllRulesOK with default headers values
func (*GetAllRulesOK) SetPayload ¶
func (o *GetAllRulesOK) SetPayload(payload []*models.Rule)
SetPayload sets the payload to the get all rules o k response
func (*GetAllRulesOK) WithPayload ¶
func (o *GetAllRulesOK) WithPayload(payload []*models.Rule) *GetAllRulesOK
WithPayload adds the payload to the get all rules o k response
func (*GetAllRulesOK) WriteResponse ¶
func (o *GetAllRulesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllRulesParams ¶
type GetAllRulesParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Number of entities to include in the result (0-200). The default limit is 30. A value of 0 sets the limit to the maximum.
In: query
*/
Limit *int64
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Number of entities to skip in the result.
In: query
*/
Skip *int64
}
GetAllRulesParams contains all the bound params for the get all rules operation typically these are obtained from a http.Request
swagger:parameters getAllRules
func NewGetAllRulesParams ¶
func NewGetAllRulesParams() GetAllRulesParams
NewGetAllRulesParams creates a new GetAllRulesParams object no default values defined in spec.
func (*GetAllRulesParams) BindRequest ¶
func (o *GetAllRulesParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetAllRulesParams() beforehand.
type GetAllRulesURL ¶
type GetAllRulesURL struct {
Namespace string
Limit *int64
Skip *int64
// contains filtered or unexported fields
}
GetAllRulesURL generates an URL for the get all rules operation
func (*GetAllRulesURL) Build ¶
func (o *GetAllRulesURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetAllRulesURL) BuildFull ¶
func (o *GetAllRulesURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetAllRulesURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetAllRulesURL) SetBasePath ¶
func (o *GetAllRulesURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetAllRulesURL) String ¶
func (o *GetAllRulesURL) String() string
String returns the string representation of the path with query string
func (*GetAllRulesURL) StringFull ¶
func (o *GetAllRulesURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetAllRulesURL) WithBasePath ¶
func (o *GetAllRulesURL) WithBasePath(bp string) *GetAllRulesURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetAllRulesUnauthorized ¶
type GetAllRulesUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetAllRulesUnauthorized Unauthorized request
swagger:response getAllRulesUnauthorized
func NewGetAllRulesUnauthorized ¶
func NewGetAllRulesUnauthorized() *GetAllRulesUnauthorized
NewGetAllRulesUnauthorized creates GetAllRulesUnauthorized with default headers values
func (*GetAllRulesUnauthorized) SetPayload ¶
func (o *GetAllRulesUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get all rules unauthorized response
func (*GetAllRulesUnauthorized) WithPayload ¶
func (o *GetAllRulesUnauthorized) WithPayload(payload *models.ErrorMessage) *GetAllRulesUnauthorized
WithPayload adds the payload to the get all rules unauthorized response
func (*GetAllRulesUnauthorized) WriteResponse ¶
func (o *GetAllRulesUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetRuleByName ¶
type GetRuleByName struct {
Context *middleware.Context
Handler GetRuleByNameHandler
}
GetRuleByName swagger:route GET /namespaces/{namespace}/rules/{ruleName} Rules getRuleByName
Get rule information ¶
Get rule information
func NewGetRuleByName ¶
func NewGetRuleByName(ctx *middleware.Context, handler GetRuleByNameHandler) *GetRuleByName
NewGetRuleByName creates a new http.Handler for the get rule by name operation
func (*GetRuleByName) ServeHTTP ¶
func (o *GetRuleByName) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetRuleByNameHandler ¶
type GetRuleByNameHandler interface {
Handle(GetRuleByNameParams, *models.Principal) middleware.Responder
}
GetRuleByNameHandler interface for that can handle valid get rule by name params
type GetRuleByNameHandlerFunc ¶
type GetRuleByNameHandlerFunc func(GetRuleByNameParams, *models.Principal) middleware.Responder
GetRuleByNameHandlerFunc turns a function with the right signature into a get rule by name handler
func (GetRuleByNameHandlerFunc) Handle ¶
func (fn GetRuleByNameHandlerFunc) Handle(params GetRuleByNameParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type GetRuleByNameInternalServerError ¶
type GetRuleByNameInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetRuleByNameInternalServerError Server error
swagger:response getRuleByNameInternalServerError
func NewGetRuleByNameInternalServerError ¶
func NewGetRuleByNameInternalServerError() *GetRuleByNameInternalServerError
NewGetRuleByNameInternalServerError creates GetRuleByNameInternalServerError with default headers values
func (*GetRuleByNameInternalServerError) SetPayload ¶
func (o *GetRuleByNameInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get rule by name internal server error response
func (*GetRuleByNameInternalServerError) WithPayload ¶
func (o *GetRuleByNameInternalServerError) WithPayload(payload *models.ErrorMessage) *GetRuleByNameInternalServerError
WithPayload adds the payload to the get rule by name internal server error response
func (*GetRuleByNameInternalServerError) WriteResponse ¶
func (o *GetRuleByNameInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetRuleByNameNotFound ¶
type GetRuleByNameNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetRuleByNameNotFound Item not found
swagger:response getRuleByNameNotFound
func NewGetRuleByNameNotFound ¶
func NewGetRuleByNameNotFound() *GetRuleByNameNotFound
NewGetRuleByNameNotFound creates GetRuleByNameNotFound with default headers values
func (*GetRuleByNameNotFound) SetPayload ¶
func (o *GetRuleByNameNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get rule by name not found response
func (*GetRuleByNameNotFound) WithPayload ¶
func (o *GetRuleByNameNotFound) WithPayload(payload *models.ErrorMessage) *GetRuleByNameNotFound
WithPayload adds the payload to the get rule by name not found response
func (*GetRuleByNameNotFound) WriteResponse ¶
func (o *GetRuleByNameNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetRuleByNameOK ¶
GetRuleByNameOK Returned rule
swagger:response getRuleByNameOK
func NewGetRuleByNameOK ¶
func NewGetRuleByNameOK() *GetRuleByNameOK
NewGetRuleByNameOK creates GetRuleByNameOK with default headers values
func (*GetRuleByNameOK) SetPayload ¶
func (o *GetRuleByNameOK) SetPayload(payload *models.Rule)
SetPayload sets the payload to the get rule by name o k response
func (*GetRuleByNameOK) WithPayload ¶
func (o *GetRuleByNameOK) WithPayload(payload *models.Rule) *GetRuleByNameOK
WithPayload adds the payload to the get rule by name o k response
func (*GetRuleByNameOK) WriteResponse ¶
func (o *GetRuleByNameOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetRuleByNameParams ¶
type GetRuleByNameParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Name of rule to fetch
Required: true
In: path
*/
RuleName string
}
GetRuleByNameParams contains all the bound params for the get rule by name operation typically these are obtained from a http.Request
swagger:parameters getRuleByName
func NewGetRuleByNameParams ¶
func NewGetRuleByNameParams() GetRuleByNameParams
NewGetRuleByNameParams creates a new GetRuleByNameParams object no default values defined in spec.
func (*GetRuleByNameParams) BindRequest ¶
func (o *GetRuleByNameParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetRuleByNameParams() beforehand.
type GetRuleByNameURL ¶
type GetRuleByNameURL struct {
Namespace string
RuleName string
// contains filtered or unexported fields
}
GetRuleByNameURL generates an URL for the get rule by name operation
func (*GetRuleByNameURL) Build ¶
func (o *GetRuleByNameURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetRuleByNameURL) BuildFull ¶
func (o *GetRuleByNameURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetRuleByNameURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetRuleByNameURL) SetBasePath ¶
func (o *GetRuleByNameURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetRuleByNameURL) String ¶
func (o *GetRuleByNameURL) String() string
String returns the string representation of the path with query string
func (*GetRuleByNameURL) StringFull ¶
func (o *GetRuleByNameURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetRuleByNameURL) WithBasePath ¶
func (o *GetRuleByNameURL) WithBasePath(bp string) *GetRuleByNameURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetRuleByNameUnauthorized ¶
type GetRuleByNameUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetRuleByNameUnauthorized Unauthorized request
swagger:response getRuleByNameUnauthorized
func NewGetRuleByNameUnauthorized ¶
func NewGetRuleByNameUnauthorized() *GetRuleByNameUnauthorized
NewGetRuleByNameUnauthorized creates GetRuleByNameUnauthorized with default headers values
func (*GetRuleByNameUnauthorized) SetPayload ¶
func (o *GetRuleByNameUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get rule by name unauthorized response
func (*GetRuleByNameUnauthorized) WithPayload ¶
func (o *GetRuleByNameUnauthorized) WithPayload(payload *models.ErrorMessage) *GetRuleByNameUnauthorized
WithPayload adds the payload to the get rule by name unauthorized response
func (*GetRuleByNameUnauthorized) WriteResponse ¶
func (o *GetRuleByNameUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type SetState ¶
type SetState struct {
Context *middleware.Context
Handler SetStateHandler
}
SetState swagger:route POST /namespaces/{namespace}/rules/{ruleName} Rules setState
Enable or disable a rule ¶
Enable or disable a rule
func NewSetState ¶
func NewSetState(ctx *middleware.Context, handler SetStateHandler) *SetState
NewSetState creates a new http.Handler for the set state operation
type SetStateAccepted ¶
type SetStateAccepted struct {
}
SetStateAccepted Rule has been enabled or disabled
swagger:response setStateAccepted
func NewSetStateAccepted ¶
func NewSetStateAccepted() *SetStateAccepted
NewSetStateAccepted creates SetStateAccepted with default headers values
func (*SetStateAccepted) WriteResponse ¶
func (o *SetStateAccepted) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type SetStateBadRequest ¶
type SetStateBadRequest struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
SetStateBadRequest Bad request
swagger:response setStateBadRequest
func NewSetStateBadRequest ¶
func NewSetStateBadRequest() *SetStateBadRequest
NewSetStateBadRequest creates SetStateBadRequest with default headers values
func (*SetStateBadRequest) SetPayload ¶
func (o *SetStateBadRequest) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the set state bad request response
func (*SetStateBadRequest) WithPayload ¶
func (o *SetStateBadRequest) WithPayload(payload *models.ErrorMessage) *SetStateBadRequest
WithPayload adds the payload to the set state bad request response
func (*SetStateBadRequest) WriteResponse ¶
func (o *SetStateBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type SetStateHandler ¶
type SetStateHandler interface {
Handle(SetStateParams, *models.Principal) middleware.Responder
}
SetStateHandler interface for that can handle valid set state params
type SetStateHandlerFunc ¶
type SetStateHandlerFunc func(SetStateParams, *models.Principal) middleware.Responder
SetStateHandlerFunc turns a function with the right signature into a set state handler
func (SetStateHandlerFunc) Handle ¶
func (fn SetStateHandlerFunc) Handle(params SetStateParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type SetStateInternalServerError ¶
type SetStateInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
SetStateInternalServerError Server error
swagger:response setStateInternalServerError
func NewSetStateInternalServerError ¶
func NewSetStateInternalServerError() *SetStateInternalServerError
NewSetStateInternalServerError creates SetStateInternalServerError with default headers values
func (*SetStateInternalServerError) SetPayload ¶
func (o *SetStateInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the set state internal server error response
func (*SetStateInternalServerError) WithPayload ¶
func (o *SetStateInternalServerError) WithPayload(payload *models.ErrorMessage) *SetStateInternalServerError
WithPayload adds the payload to the set state internal server error response
func (*SetStateInternalServerError) WriteResponse ¶
func (o *SetStateInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type SetStateNotFound ¶
type SetStateNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
SetStateNotFound Item not found
swagger:response setStateNotFound
func NewSetStateNotFound ¶
func NewSetStateNotFound() *SetStateNotFound
NewSetStateNotFound creates SetStateNotFound with default headers values
func (*SetStateNotFound) SetPayload ¶
func (o *SetStateNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the set state not found response
func (*SetStateNotFound) WithPayload ¶
func (o *SetStateNotFound) WithPayload(payload *models.ErrorMessage) *SetStateNotFound
WithPayload adds the payload to the set state not found response
func (*SetStateNotFound) WriteResponse ¶
func (o *SetStateNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type SetStateOK ¶
type SetStateOK struct {
}
SetStateOK Rule has been enabled or disabled
swagger:response setStateOK
func NewSetStateOK ¶
func NewSetStateOK() *SetStateOK
NewSetStateOK creates SetStateOK with default headers values
func (*SetStateOK) WriteResponse ¶
func (o *SetStateOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type SetStateParams ¶
type SetStateParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Name of rule to update
Required: true
In: path
*/
RuleName string
/*Set status to active or inactive
Required: true
In: body
*/
Status *models.SetStateParamsBody
}
SetStateParams contains all the bound params for the set state operation typically these are obtained from a http.Request
swagger:parameters setState
func NewSetStateParams ¶
func NewSetStateParams() SetStateParams
NewSetStateParams creates a new SetStateParams object no default values defined in spec.
func (*SetStateParams) BindRequest ¶
func (o *SetStateParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewSetStateParams() beforehand.
type SetStateURL ¶
type SetStateURL struct {
Namespace string
RuleName string
// contains filtered or unexported fields
}
SetStateURL generates an URL for the set state operation
func (*SetStateURL) Build ¶
func (o *SetStateURL) Build() (*url.URL, error)
Build a url path and query string
func (*SetStateURL) BuildFull ¶
func (o *SetStateURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*SetStateURL) SetBasePath ¶
func (o *SetStateURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*SetStateURL) String ¶
func (o *SetStateURL) String() string
String returns the string representation of the path with query string
func (*SetStateURL) StringFull ¶
func (o *SetStateURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*SetStateURL) WithBasePath ¶
func (o *SetStateURL) WithBasePath(bp string) *SetStateURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type SetStateUnauthorized ¶
type SetStateUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
SetStateUnauthorized Unauthorized request
swagger:response setStateUnauthorized
func NewSetStateUnauthorized ¶
func NewSetStateUnauthorized() *SetStateUnauthorized
NewSetStateUnauthorized creates SetStateUnauthorized with default headers values
func (*SetStateUnauthorized) SetPayload ¶
func (o *SetStateUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the set state unauthorized response
func (*SetStateUnauthorized) WithPayload ¶
func (o *SetStateUnauthorized) WithPayload(payload *models.ErrorMessage) *SetStateUnauthorized
WithPayload adds the payload to the set state unauthorized response
func (*SetStateUnauthorized) WriteResponse ¶
func (o *SetStateUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateRule ¶
type UpdateRule struct {
Context *middleware.Context
Handler UpdateRuleHandler
}
UpdateRule swagger:route PUT /namespaces/{namespace}/rules/{ruleName} Rules updateRule
Update a rule ¶
Update a rule
func NewUpdateRule ¶
func NewUpdateRule(ctx *middleware.Context, handler UpdateRuleHandler) *UpdateRule
NewUpdateRule creates a new http.Handler for the update rule operation
func (*UpdateRule) ServeHTTP ¶
func (o *UpdateRule) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type UpdateRuleBadRequest ¶
type UpdateRuleBadRequest struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateRuleBadRequest Bad request
swagger:response updateRuleBadRequest
func NewUpdateRuleBadRequest ¶
func NewUpdateRuleBadRequest() *UpdateRuleBadRequest
NewUpdateRuleBadRequest creates UpdateRuleBadRequest with default headers values
func (*UpdateRuleBadRequest) SetPayload ¶
func (o *UpdateRuleBadRequest) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update rule bad request response
func (*UpdateRuleBadRequest) WithPayload ¶
func (o *UpdateRuleBadRequest) WithPayload(payload *models.ErrorMessage) *UpdateRuleBadRequest
WithPayload adds the payload to the update rule bad request response
func (*UpdateRuleBadRequest) WriteResponse ¶
func (o *UpdateRuleBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateRuleConflict ¶
type UpdateRuleConflict struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateRuleConflict Conflicting item already exists
swagger:response updateRuleConflict
func NewUpdateRuleConflict ¶
func NewUpdateRuleConflict() *UpdateRuleConflict
NewUpdateRuleConflict creates UpdateRuleConflict with default headers values
func (*UpdateRuleConflict) SetPayload ¶
func (o *UpdateRuleConflict) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update rule conflict response
func (*UpdateRuleConflict) WithPayload ¶
func (o *UpdateRuleConflict) WithPayload(payload *models.ErrorMessage) *UpdateRuleConflict
WithPayload adds the payload to the update rule conflict response
func (*UpdateRuleConflict) WriteResponse ¶
func (o *UpdateRuleConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateRuleHandler ¶
type UpdateRuleHandler interface {
Handle(UpdateRuleParams, *models.Principal) middleware.Responder
}
UpdateRuleHandler interface for that can handle valid update rule params
type UpdateRuleHandlerFunc ¶
type UpdateRuleHandlerFunc func(UpdateRuleParams, *models.Principal) middleware.Responder
UpdateRuleHandlerFunc turns a function with the right signature into a update rule handler
func (UpdateRuleHandlerFunc) Handle ¶
func (fn UpdateRuleHandlerFunc) Handle(params UpdateRuleParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type UpdateRuleInternalServerError ¶
type UpdateRuleInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateRuleInternalServerError Server error
swagger:response updateRuleInternalServerError
func NewUpdateRuleInternalServerError ¶
func NewUpdateRuleInternalServerError() *UpdateRuleInternalServerError
NewUpdateRuleInternalServerError creates UpdateRuleInternalServerError with default headers values
func (*UpdateRuleInternalServerError) SetPayload ¶
func (o *UpdateRuleInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update rule internal server error response
func (*UpdateRuleInternalServerError) WithPayload ¶
func (o *UpdateRuleInternalServerError) WithPayload(payload *models.ErrorMessage) *UpdateRuleInternalServerError
WithPayload adds the payload to the update rule internal server error response
func (*UpdateRuleInternalServerError) WriteResponse ¶
func (o *UpdateRuleInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateRuleNotFound ¶
type UpdateRuleNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateRuleNotFound Item not found
swagger:response updateRuleNotFound
func NewUpdateRuleNotFound ¶
func NewUpdateRuleNotFound() *UpdateRuleNotFound
NewUpdateRuleNotFound creates UpdateRuleNotFound with default headers values
func (*UpdateRuleNotFound) SetPayload ¶
func (o *UpdateRuleNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update rule not found response
func (*UpdateRuleNotFound) WithPayload ¶
func (o *UpdateRuleNotFound) WithPayload(payload *models.ErrorMessage) *UpdateRuleNotFound
WithPayload adds the payload to the update rule not found response
func (*UpdateRuleNotFound) WriteResponse ¶
func (o *UpdateRuleNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateRuleOK ¶
UpdateRuleOK Updated rule
swagger:response updateRuleOK
func NewUpdateRuleOK ¶
func NewUpdateRuleOK() *UpdateRuleOK
NewUpdateRuleOK creates UpdateRuleOK with default headers values
func (*UpdateRuleOK) SetPayload ¶
func (o *UpdateRuleOK) SetPayload(payload *models.Rule)
SetPayload sets the payload to the update rule o k response
func (*UpdateRuleOK) WithPayload ¶
func (o *UpdateRuleOK) WithPayload(payload *models.Rule) *UpdateRuleOK
WithPayload adds the payload to the update rule o k response
func (*UpdateRuleOK) WriteResponse ¶
func (o *UpdateRuleOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateRuleParams ¶
type UpdateRuleParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Overwrite item if it exists. Default is false.
In: query
*/
Overwrite *string
/*The rule being updated
Required: true
In: body
*/
Rule *models.RulePut
/*Name of rule to update
Required: true
In: path
*/
RuleName string
}
UpdateRuleParams contains all the bound params for the update rule operation typically these are obtained from a http.Request
swagger:parameters updateRule
func NewUpdateRuleParams ¶
func NewUpdateRuleParams() UpdateRuleParams
NewUpdateRuleParams creates a new UpdateRuleParams object no default values defined in spec.
func (*UpdateRuleParams) BindRequest ¶
func (o *UpdateRuleParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewUpdateRuleParams() beforehand.
type UpdateRuleRequestEntityTooLarge ¶
type UpdateRuleRequestEntityTooLarge struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateRuleRequestEntityTooLarge Request entity too large
swagger:response updateRuleRequestEntityTooLarge
func NewUpdateRuleRequestEntityTooLarge ¶
func NewUpdateRuleRequestEntityTooLarge() *UpdateRuleRequestEntityTooLarge
NewUpdateRuleRequestEntityTooLarge creates UpdateRuleRequestEntityTooLarge with default headers values
func (*UpdateRuleRequestEntityTooLarge) SetPayload ¶
func (o *UpdateRuleRequestEntityTooLarge) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update rule request entity too large response
func (*UpdateRuleRequestEntityTooLarge) WithPayload ¶
func (o *UpdateRuleRequestEntityTooLarge) WithPayload(payload *models.ErrorMessage) *UpdateRuleRequestEntityTooLarge
WithPayload adds the payload to the update rule request entity too large response
func (*UpdateRuleRequestEntityTooLarge) WriteResponse ¶
func (o *UpdateRuleRequestEntityTooLarge) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdateRuleURL ¶
type UpdateRuleURL struct {
Namespace string
RuleName string
Overwrite *string
// contains filtered or unexported fields
}
UpdateRuleURL generates an URL for the update rule operation
func (*UpdateRuleURL) Build ¶
func (o *UpdateRuleURL) Build() (*url.URL, error)
Build a url path and query string
func (*UpdateRuleURL) BuildFull ¶
func (o *UpdateRuleURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*UpdateRuleURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*UpdateRuleURL) SetBasePath ¶
func (o *UpdateRuleURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*UpdateRuleURL) String ¶
func (o *UpdateRuleURL) String() string
String returns the string representation of the path with query string
func (*UpdateRuleURL) StringFull ¶
func (o *UpdateRuleURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*UpdateRuleURL) WithBasePath ¶
func (o *UpdateRuleURL) WithBasePath(bp string) *UpdateRuleURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type UpdateRuleUnauthorized ¶
type UpdateRuleUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdateRuleUnauthorized Unauthorized request
swagger:response updateRuleUnauthorized
func NewUpdateRuleUnauthorized ¶
func NewUpdateRuleUnauthorized() *UpdateRuleUnauthorized
NewUpdateRuleUnauthorized creates UpdateRuleUnauthorized with default headers values
func (*UpdateRuleUnauthorized) SetPayload ¶
func (o *UpdateRuleUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update rule unauthorized response
func (*UpdateRuleUnauthorized) WithPayload ¶
func (o *UpdateRuleUnauthorized) WithPayload(payload *models.ErrorMessage) *UpdateRuleUnauthorized
WithPayload adds the payload to the update rule unauthorized response
func (*UpdateRuleUnauthorized) WriteResponse ¶
func (o *UpdateRuleUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
Source Files
¶
- delete_rule.go
- delete_rule_parameters.go
- delete_rule_responses.go
- delete_rule_urlbuilder.go
- get_all_rules.go
- get_all_rules_parameters.go
- get_all_rules_responses.go
- get_all_rules_urlbuilder.go
- get_rule_by_name.go
- get_rule_by_name_parameters.go
- get_rule_by_name_responses.go
- get_rule_by_name_urlbuilder.go
- set_state.go
- set_state_parameters.go
- set_state_responses.go
- set_state_urlbuilder.go
- update_rule.go
- update_rule_parameters.go
- update_rule_responses.go
- update_rule_urlbuilder.go